Bug 836492 - samba4-client and samba4-common conflict with samba-client and samba-common
samba4-client and samba4-common conflict with samba-client and samba-common
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba4 (Show other bugs)
19
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Andreas Schneider
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 05:21 EDT by Jens Petersen
Modified: 2015-01-07 23:38 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-07 23:38:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-06-29 05:21:34 EDT
Description of problem:
In F18 Rawhide samba4-client and samba4-common conflict
with samba-client and samba-common.  This prevents
installation of Rawhide. :-(

Version-Release number of selected component (if applicable):
samba4-client-4.0.0-59beta2.fc18

How reproducible:
every time

Steps to Reproduce:
- yum update rawhide install
or
- attempt rawhide install
  
Actual results:
update/install fails with samba4 and samba conflict

Expected results:
no conflict or obsoletes to resolve conflict

Additional info:
Workaround for updating seems to be to yum remove samba-common.
Comment 1 Andre Robatino 2012-07-01 17:12:04 EDT
This was leading to a false (?) fileconflicts failure on the F17 DVD during development - see bug 820472. Am curious how this will be resolved.
Comment 2 Andreas Schneider 2012-07-02 10:02:29 EDT
Do you have any samba4 packages installed?
Comment 3 Paul Howarth 2012-07-03 05:03:57 EDT
(In reply to comment #2)
> Do you have any samba4 packages installed?

I'm seeing this problem and I don't have any samba4 packages installed:

# rpm -qa samba\*
samba-common-3.6.5-90.fc18.1.i686
samba-winbind-clients-3.6.5-90.fc18.1.i686
samba-client-3.6.5-90.fc18.1.i686

However, sssd wants to pull in samba4:

# repoquery --requires sssd | grep samba
libsamba-util.so.0
libsamba-util.so.0(SAMBA_UTIL_0.0.1)
# repoquery --whatprovides 'libsamba-util.so.0(SAMBA_UTIL_0.0.1)'
samba4-libs-2:4.0.0-59beta2.fc18.i686

And as samba4-libs wants samba4-common, which conflicts with samba-common, I can't update sssd, which is a core component of Fedora that just about everyone will have.
Comment 4 Andre Robatino 2012-07-03 16:18:31 EDT
I have several samba packages installed, but no samba4 packages.
Comment 5 Andre Robatino 2012-07-04 16:13:28 EDT
After today's (20120704) Rawhide update, I now have

samba-3.6.5-90.fc18.1.x86_64
samba4-libs-4.0.0-125.fc18.beta2.x86_64
samba-client-3.6.5-90.fc18.1.x86_64
samba-common-3.6.5-90.fc18.1.x86_64
samba-winbind-clients-3.6.5-90.fc18.1.x86_64

and no samba conflicts during update.
Comment 6 Jens Petersen 2012-07-05 23:24:25 EDT
Yeah as far as I can tell this is now okay - at least
it is no longer preventing rawhide from installing.

I guess it should be fixed now with latest samba4:

* Tue Jul 03 2012 Andreas Schneider <asn@redhat.com> - 2:4.0.0-125.beta2
- Change version and release number scheme.
- Remove dependency between samba4-libs and samba4-common.
- resolves: #836492
Comment 7 Paul Howarth 2012-07-09 10:58:04 EDT
No conflicts when updating for me now, now that I've recovered from dracut-020-51 :-)
Comment 8 Fedora End Of Life 2013-04-03 16:23:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.